//global responsiveMenuToggleScript
(function ($) {
  $(window).bind('resize', function () {
    var $mobileTogglePoint = responsiveMenuToggleScript.mobile_toggle_width_point;
    var $menuIconHeight = parseInt(responsiveMenuToggleScript.menu_icon_height) + 1;
    var $currentWidth = $(window).width();
    if ($mobileTogglePoint <= $currentWidth) {
      var $searchTop = $('.mobile-menu-plugin-top-search');
      $searchTop.css({
        top: '-150px',
        'left': 0
      });
      $('body').css({
        'margin-top': '0px',
        'background-position-y': '0px'
      });
      $('#mobile-menu-plugin-popout').css({
        'margin-top': $menuIconHeight + 'px',
        'left': '-250px'
      });
    }
  });
  $(document).ready(function ($) {
    var addon = '<div class="mobile_menu_zip_pointer"></div>';
    var subadd = '<div class="mobile_menu_submenu_pointer">+</div>';
    var $mobileTogglePoint 	= responsiveMenuToggleScript.mobile_toggle_width_point;
    var $menuIconHeight = parseInt(responsiveMenuToggleScript.menu_icon_height) + 1;
    var $menuIconHeightSearch = ($menuIconHeight * 2);
    var $currentWidth		= $(window).width();
    var $bodyMove = $('html');
    $('#mobile-menu-plugin-popout li.current_page_item > a').append(addon);
    $('#mobile-menu-plugin-popout li.menu-item-has-children > a').append(subadd);
    $('#mobile-menu-plugin-popout ul.sub-menu').slideUp('fast');
    $('#mobile-menu-plugin-popout li.current-menu-parent ul.sub-menu').slideDown('fast').addClass('mobile-sub-expanded');
    $('#mobile-menu-plugin-popout li.menu-item-has-children > a').bind('click', function (e) {
      //console.log('parent-clicked');
      e.preventDefault();
      var theSub = $(this).next('ul.sub-menu');
      if (theSub.hasClass('mobile-sub-expanded')) {
        //console.log('DOES NOT HAVE mobile-sub-expanded - removing');
        theSub.slideUp();
        theSub.removeClass('mobile-sub-expanded');
      } else {
        //console.log('DOES NOT HAVE mobile-sub-expanded - adding');
        theSub.addClass('mobile-sub-expanded');
        theSub.slideDown();
      }
    });
    $('.mobile-menu-plugin-toggle-menu').bind('click', function (e) {
      e.preventDefault();
      var $popout = $('#mobile-menu-plugin-popout').css('left');
      if ($popout == '-250px') {
        $bodyMove.addClass('mobile-push-right');
        $bodyMove.animate({
          'margin-left': '250px',
          'margin-right': '-250px'
        }, 'fast');
        $('#mobile-menu-plugin-popout').animate({
          left: '0px'
        }, 'fast');
      } else {
        $bodyMove.animate({
          'margin-left': '0px',
          'margin-right': '0px'
        }, 'fast', function () {
          $bodyMove.removeClass('mobile-push-right');
        });
        $('#mobile-menu-plugin-popout').animate({
          left: '-250px'
        }, 'fast');
      }
    });
    $('.mobile-menu-plugin-toggle-search').bind('click', function (e) {
      e.preventDefault();
      var $searchTop = $('.mobile-menu-plugin-top-search');
      if ($searchTop.css('top') != '-150px') {
        $('#mobile-menu-plugin-popout').animate({
          'margin-top': $menuIconHeight + 'px'
        }, 'fast', function () {});
        $('body').animate({
          'margin-top': $menuIconHeight + 'px',
          'background-position-y': $menuIconHeight + 'px'
        }, 'fast', function () {});
        $searchTop.animate({
          top: '-150px'
        }, 'fast', function () {});
      } else {
        $('body').animate({
          'margin-top': $menuIconHeightSearch + 'px',
          'background-position-y': $menuIconHeightSearch + 'px'
        }, 'fast', function () {
          $('#mobile-menu-plugin-popout').animate({
            'margin-top': $menuIconHeightSearch + 'px'
          }, 'fast', function () {});
          $searchTop.animate({
            top: $menuIconHeight + 'px',
            'left': 0
          }, 'fast', function () {});
        });
      }
    });
  });
})(jQuery);